<?php

namespace App\Classes\Modules\Accounts\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Exceptions\RequestValidationException;
use App\Classes\Exceptions\ResourceNotFoundException;
use App\Classes\Modules\Accounts\DataTransferObjects\PasswordResetObject;
use App\Classes\Modules\Accounts\Standards\Criteria\PasswordResetTokenExists;
use App\Classes\Modules\Accounts\Standards\Validators\ResetPasswordValidation;

class CanListUsers extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        return true;

    }

    /**
     * @param PasswordResetObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param PasswordResetObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}